<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2008 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Модуль Tag.
 * 
 * Файл: /admin/tag/tag.php
 * 
 * @author Hostmake LLC
 * @version 5.2
 */
// Подключаем основные классы.
require_once('../../main_classes.php');

$admin = new Admin();

// Проверка авторизации пользователя.
$admin->admin_session_valid('tag');

$kernel = & singleton('kernel');

// Инсталляция всех модулей ядра.
$kernel->LoadModules(!isset($_REQUEST['JsHttpRequest']));

// Инициализация CURRENT_SITE и констант.
$admin->admin_init();

$admin_forms = new admin_forms();

if (!isset($_REQUEST['JsHttpRequest']))
{
	do_html_header_admin($GLOBALS['MSG_tag']['main_form_caption_h1']);
}

$Tag = new Tag();

// Добавление/обновление метки
if (isset($_REQUEST['apply_tag']) || isset($_REQUEST['save_tag']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include(CMS_FOLDER.'/admin/tag/action/add_edit_tag.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest(SITE_CODING);

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset($_REQUEST['apply_tag']))
	{
		// Отображаем форму
		include(CMS_FOLDER.'admin/tag/action/load_tags.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(173, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array(
		'error' => $message,
		'form_html' => '',
		'title' => '');
	}

	echo $JsHttpRequest->LOADER;
	exit();
}

// Отображение форм
switch (to_int($_REQUEST['admin_forms_id']))
{
	case 173:
	default:
		{
			// Список сайтов
			include(CMS_FOLDER . '/admin/tag/action/load_tags.php');
			$admin_forms->ProcessAjax(173);
			break;
		}
}

if (!isset($_REQUEST['JsHttpRequest']))
{
	do_html_footer_admin();
}
?>